## e-cal-types

e-cal-types

## Synopsis

    #define             E_CALENDAR_ERROR
    GQuark              e_calendar_error_quark              (void);
    enum                ECalChangeType;
    enum                ECalendarStatus;
    #define             E_CALENDAR_STATUS_CORBA_EXCEPTION

## Description

## Details

### E_CALENDAR_ERROR

    #define E_CALENDAR_ERROR e_calendar_error_quark()

### e_calendar_error_quark ()

    GQuark              e_calendar_error_quark              (void);

Returns : |

### enum ECalChangeType

    typedef enum {
    	E_CAL_CHANGE_ADDED = 1 << 0,
    	E_CAL_CHANGE_MODIFIED = 1 << 1,
    	E_CAL_CHANGE_DELETED = 1 << 2
    } ECalChangeType;

### enum ECalendarStatus

    typedef enum {
    	E_CALENDAR_STATUS_OK,
    	E_CALENDAR_STATUS_INVALID_ARG,
    	E_CALENDAR_STATUS_BUSY,
    	E_CALENDAR_STATUS_REPOSITORY_OFFLINE,
    	E_CALENDAR_STATUS_NO_SUCH_CALENDAR,
    	E_CALENDAR_STATUS_OBJECT_NOT_FOUND,
    	E_CALENDAR_STATUS_INVALID_OBJECT,
    	E_CALENDAR_STATUS_URI_NOT_LOADED,
    	E_CALENDAR_STATUS_URI_ALREADY_LOADED,
    	E_CALENDAR_STATUS_PERMISSION_DENIED,
    	E_CALENDAR_STATUS_UNKNOWN_USER,
    	E_CALENDAR_STATUS_OBJECT_ID_ALREADY_EXISTS,
    	E_CALENDAR_STATUS_PROTOCOL_NOT_SUPPORTED,
    	E_CALENDAR_STATUS_CANCELLED,
    	E_CALENDAR_STATUS_COULD_NOT_CANCEL,
    	E_CALENDAR_STATUS_AUTHENTICATION_FAILED,
    	E_CALENDAR_STATUS_AUTHENTICATION_REQUIRED,
    	E_CALENDAR_STATUS_DBUS_EXCEPTION,
    	E_CALENDAR_STATUS_OTHER_ERROR,
    	E_CALENDAR_STATUS_INVALID_SERVER_VERSION,
    	E_CALENDAR_STATUS_NOT_SUPPORTED
    } ECalendarStatus;

### E_CALENDAR_STATUS_CORBA_EXCEPTION

    #define E_CALENDAR_STATUS_CORBA_EXCEPTION E_CALENDAR_STATUS_DBUS_EXCEPTION

### Warning

`E_CALENDAR_STATUS_CORBA_EXCEPTION` is deprecated and should not be used in newly-written code.